# script example to test multiplatform replication
# edit this script (platform, ip, port, netcat and snap)

# start on Windows from an administrator powershell terminal via
# cd /to this folder
# powershell ./scriptname.ps1

# start on Linux/Unix (call it via shell and te script as parameter, no need to make it executable)
# open a shell root (locally or Putty)
# cd /to this folder
# sh ./scriptname.ps1

# This is the replication sender, uncomment the correct OS and adjust netcat settings, snap, port and ip
# netcat on X must be set to executable
# zfs send xx@yy | nc  192.168.2.203 7000


-d      detach feom stdin (listen)
-w 10   wait 10s (listen and send

# bsd
#zfs send xx@yy | bsd/nc -l 192.168.2.203 7000

# Linux
#zfs send xx@yy | lin/nc -l 192.168.2.203 7000

# OSX
#zfs send xx@yy | osx/nc -l 192.168.2.203 7000

# Solaris/Illumos
zfs send xx@yy | sol/nc -l 192.168.2.203 7000

# win
#zfs send xx@yy | win/nc64 -l 192.168.2.203 7000